<?php
// $Id: settings.inc.php,v 1.1 2004/07/11 10:28:44 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 reliable - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//
// Original Author: Half-Dead
// Author Website : http://www.e-xoops.com
// ------------------------------------------------------------------------- //

global $HTTP_SERVER_VARS;
if ( preg_match("/settings\.inc\.php/i", $HTTP_SERVER_VARS['PHP_SELF']) ) {
	exit();
	}

include_once(XOOPS_ROOT_PATH . "/class/xoopsformloader.php");
$form = new XoopsThemeForm("", "settings", "./index.php");

// COMMON
$cookietime = new XoopsFormText(_AM_CRECLICK, "partners_cookietime", 6, 6, $partners_cookietime);

// MAIN
$randomize  = new XoopsFormRadioYN(_AM_MRAND, "partners_randomize", $partners_randomize);
$limit      = new XoopsFormText(_AM_MLIMIT, "partners_limit", 3, 3, $partners_limit);

$show       = new XoopsFormSelect(_AM_MSHOW, "partners_show", $partners_show);
$show->addOptionArray(array("1"=>_AM_CIMAGES, "2"=>_AM_CTEXT, "3"=>_AM_CBOTH));

$order      = new XoopsFormSelect("", "partners_order", $partners_order);
$order->addOptionArray(array("id"=>_AM_CID, "hits"=>_AM_CHITS, "title"=>_AM_CTITLE, "weight"=>_AM_CWEIGHT));

$orderd     = new XoopsFormSelect("", "partners_orderd", $partners_orderd);
$orderd->addOptionArray(array("ASC"=>_AM_CASC, "DESC"=>_AM_CDESC));

$tray      = new XoopsFormElementTray(_AM_MORDER, "&nbsp;");
$tray->addElement($order);
$tray->addElement($orderd);

// BLOCKS
$brandomize = new XoopsFormRadioYN(_AM_BRAND, "partners_brandomize", $partners_brandomize);
$blimit     = new XoopsFormText(_AM_BLIMIT, "partners_blimit", 3, 3, $partners_blimit);

$bshow      = new XoopsFormSelect(_AM_BSHOW, "partners_bshow", $partners_bshow);
$bshow->addOptionArray(array("1"=>_AM_CIMAGES, "2"=>_AM_CTEXT, "3"=>_AM_CBOTH));

$border     = new XoopsFormSelect("", "partners_border", $partners_border);
$border->addOptionArray(array("id"=>_AM_CID, "hits"=>_AM_CHITS, "title"=>_AM_CTITLE, "weight"=>_AM_CWEIGHT));

$borderd    = new XoopsFormSelect("", "partners_borderd", $partners_borderd);
$borderd->addOptionArray(array("ASC"=>_AM_CASC, "DESC"=>_AM_CDESC));

$btray      = new XoopsFormElementTray(_AM_BORDER, "&nbsp;");
$btray->addElement($border);
$btray->addElement($borderd);

// FINISH
$hidden     = new XoopsFormHidden("op", "save_partners");
$submit_button = new XoopsFormButton("", "submit", _AM_CUPDATE, "submit");

$form->addElement($cookietime);

$form->addElement($randomize);
$form->addElement($limit);
$form->addElement($show);
$form->addElement($tray);

$form->addElement($brandomize);
$form->addElement($blimit);
$form->addElement($bshow);
$form->addElement($btray);

$form->addElement($hidden);
$form->addElement($submit_button);

$form->display();
?>
